/*************************************************************************
/* FieldPositions11.java -- Test fixtures for java.text.FieldPosition
/*
/* Copyright (c) 2003 Free Software Foundation, Inc.
/* Written by Dalibor Topic <robilad@kaffe.org>
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published 
/* by the Free Software Foundation, either version 2 of the License, or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; if not, write to the Free Software Foundation
/* Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
/*************************************************************************/

// Tags: not-a-test
// Uses: TestParameters TestFixture

package gnu.testlet.java.text.FieldPosition;

import java.text.FieldPosition;

/**
 * A utility class for instances of test parameters that are used 
 * for JDK 1.1 API testing.
 *
 * @author <a href="mailto:topic@mpi-sb.mpg.de">Dalibor Topic</a>
 * @version 1.0
 */
public class FieldPositions11 extends TestParameters implements TestFixture 
{
  /**
   * Initialize instances for testing.
   *
   * @param fixtures array of fixtures to initialize
   */
  private void initFixtures(final FieldPosition [] fixtures) {
    final int [] params = TestParameters.getInts();

    /* Create FieldPosition instances for testing. */
    for (int i = 0; i < fixtures.length; ++i) {
      fixtures[i] = new FieldPosition(params[i]);
    }
  }

  /**
   * Return all available fixtures in a virgin state.
   *
   * @return a <code>FieldPosition[]</code> of test instances
   */
  public Object [] getAllFixtures()
  {
    /* Array of tested FieldPostions. */
    final FieldPosition [] fps = 
      new FieldPosition [TestParameters.getInts().length];

    initFixtures(fps);

    return fps;
  }
} // class FieldPositions11
