/*************************************************************************
/* TestParameters.java -- Test parameters for java.text.FieldPosition
/*
/* Copyright (c) 2003 Free Software Foundation, Inc.
/* Written by Dalibor Topic <robilad@kaffe.org>
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published 
/* by the Free Software Foundation, either version 2 of the License, or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; if not, write to the Free Software Foundation
/* Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
/*************************************************************************/

// Tags: not-a-test

package gnu.testlet.java.text.FieldPosition;

/**
 * A utility class for instances of test parameters that are used 
 * for general API testing.
 *
 * @author <a href="mailto:topic@mpi-sb.mpg.de">Dalibor Topic</a>
 * @version 1.0
 */
public class TestParameters {

  /**
   * Array of tested parameter inputs. 
   */
  private final static int [] INTS = new int [] { 
    1,  // a positive int
    0,  // zero
    -1  // a negative int
  };

  /**
   * Get an array of integers.
   *
   * @return an <code>int[]</code> of test paramters
   */
  public static int [] getInts() 
  {
    return (int []) INTS.clone();
  }

} // class TestParameters
