/*************************************************************************
/* hashCode.java -- Test java.lang.Object hashCode()
/*
/* Copyright (c) 2003 Free Software Foundation, Inc.
/* Written by Dalibor Topic <robilad@kaffe.org>
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published 
/* by the Free Software Foundation, either version 2 of the License, or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; if not, write to the Free Software Foundation
/* Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
/*************************************************************************/

// Tags: not-a-test
// Uses: TestFixture

package gnu.testlet.java.text.FieldPosition;

import gnu.testlet.TestHarness;

/**
 *  Test behaviour of <code>hashCode()</code> method.
 *
 * @author <a href="mailto:robilad@kaffe.org">Dalibor Topic</a>
 * @version 1.0
 */
public class hashCode
{
  /**
   * Test if hashCode of equal objects is equal.
   *
   * @param harness a <code>TestHarness</code>
   * @param instances an <code>Object[]</code> of instances to test
   */
  private static void testEquals(TestHarness harness, Object [] instances)
  {
    harness.checkPoint("hashCode: equality implies same hashCode");

    for (int i = 0; i < instances.length; ++i) {
      for (int j = 0; j < instances.length; ++j) {
	final Object x = instances[i];
	final Object y = instances[j];

	if (x.equals(y))
	  harness.check(x.hashCode() == y.hashCode());

	harness.debug("x=" + x.toString()
		      + ",y=" + y.toString());
      }
    }
  }

  /**
   * Test the behaviour of the method.
   *
   * @param harness a <code>TestHarness</code>
   * @param fixture a <code>TestFixture</code>
   */
  public static void test(TestHarness harness, TestFixture fixture)
  {
    testEquals(harness, fixture.getAllFixtures());
  }

} // class hashCode
