/*************************************************************************
/* setBeginIndex.java -- Test java.text.FieldPosition setBeginIndex(int)
/*
/* Copyright (c) 2003 Free Software Foundation, Inc.
/* Written by Dalibor Topic <robilad@kaffe.org>
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published 
/* by the Free Software Foundation, either version 2 of the License, or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; if not, write to the Free Software Foundation
/* Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
/*************************************************************************/

// Tags: JDK1.2
// Uses: TestParameters

package gnu.testlet.java.text.FieldPosition;

import gnu.testlet.Testlet;
import gnu.testlet.TestHarness;
import java.text.FieldPosition;

/**
 *  Test behaviour of <code>setBeginIndex(int)</code> method.
 *
 * @author <a href="mailto:robilad@kaffe.org">Dalibor Topic</a>
 * @version 1.0
 */
public class setBeginIndex implements Testlet
{

  /**
   * Test the behaviour of the method.
   *
   * @param harness a <code>TestHarness</code>
   */
public void 
test(TestHarness harness)
{
  /* Array of tested parameter inputs. */
  final int [] params = TestParameters.getInts();

  harness.checkPoint("set/getBeginIndex");

  final FieldPosition fp = new FieldPosition(0);

  /* Test all input combinations. */
  for (int i = 0; i < params.length; ++i) {
    /* Test setting the begin index. */
    fp.setBeginIndex(params[i]);
    harness.check(fp.getBeginIndex(), params[i]);

    harness.debug(fp.toString());
  }
}

} // class setBeginIndex

